1. Report
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
    • Get Product By ID
    • products with inventory
    • product details with Inventory By Product ID
    • Product Variant List ID & Name
    • Variant Details By Variant ID
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
      POST
    • Purchase Item Register Report
      POST
    • Stock Summary Report
      POST
    • Stock Transfer Item Register Report
      POST
    • Consumption Production Report
      POST
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Report

Stock Transfer Item Register Report

POST
/api/v1/report/stock-transfer-item-register

Stock Transfer Item Register Report#

Purpose#

Retrieve item-wise stock transfer transactions between branches for a specified date range.

Why would you use this?#

Use this API when your system needs detailed stock transfer information between branches or warehouses.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
branchIdYesBranch ID(s) for which stock transfer data is required
fromDateYesStart date in UTC format (ISO 8601)
toDateYesEnd date in UTC format (ISO 8601)
limitYesNumber of records to retrieve
offsetYesNumber of records to skip
fromBranchNoFilter by source branch ID
toBranchNoFilter by destination branch ID
statusNoFilter by transfer status
documentNumberNoFilter by stock transfer document number

Information Returned#

Stock Transfer Information
Source Branch Information
Destination Branch Information
Product Information
Transfer Quantity
Product Pricing
Tax Details

Important Notes#

fromDate and toDate must be provided in UTC format (ISO 8601).
The report returns stock transfer data between the specified fromDate and toDate range.
Minimum limit 1 and maximum can be 500.
Minimum offset 0.
Use pagination for large datasets.
Each record represents a product line item within a stock transfer.
A single stock transfer document may appear multiple times when multiple products are transferred.
Use documentNumber to identify a specific stock transfer transaction.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/report/stock-transfer-item-register' \
--header 'api-token: {{.in-api-token}}' \
--header 'Content-Type: application/json' \
--data '{
    "branchId": "24448",
    "fromDate": "2026-03-31T18:30:00Z",
    "toDate": "2027-03-31T23:59:59Z",
    "fromBranch": 0,
    "toBranch": 0,
    "status": "",
    "documentNumber": "",
    "limit": 2,
    "offset": 0
}'
Response Response Example
200 - Example
{
    "status": true,
    "message": "Stock Transfer Item Register",
    "code": "200",
    "response": {
        "totalCount": 438,
        "items": [
            {
                "stockTransferNo": 28,
                "fromLocation": "Bhanushali Trading company",
                "toLocation": "Bhavesh dot in franchise",
                "transferDate": "2026-05-22T08:59:36.888371Z",
                "transferInDate": null,
                "documentNumber": "STF28",
                "branchStatus": "open",
                "productName": "Test Kaaju KAtli pack l",
                "printName": "Test Kaaju KAtli pack",
                "itemCode": "ITM2362",
                "hsnCode": "",
                "departmentName": "QA",
                "categoryName": "Manual QA",
                "brandName": "Quality Assurance",
                "quantity": 1.0,
                "unit": "PCS",
                "value": 224.0,
                "taxableValue": 213.33,
                "mrp": 224.0,
                "salePrice": 224.0,
                "unitPrice": 224.0,
                "taxPercentage": 5.0
            },
            {
                "stockTransferNo": 28,
                "fromLocation": "Bhanushali Trading company",
                "toLocation": "Bhavesh dot in franchise",
                "transferDate": "2026-05-22T08:59:36.888371Z",
                "transferInDate": null,
                "documentNumber": "STF28",
                "branchStatus": "open",
                "productName": "Recipe prod ",
                "printName": "Recipe prod",
                "itemCode": "RCP1404",
                "hsnCode": "",
                "departmentName": "Packed food",
                "categoryName": "Chavana",
                "brandName": "Balaji",
                "quantity": 2.0,
                "unit": "PCS",
                "value": 56.010000000000005,
                "taxableValue": 26.67,
                "mrp": 28.0,
                "salePrice": 28.0,
                "unitPrice": 28.005000000000003,
                "taxPercentage": 5.0
            }
        ]
    }
}
Previous
Stock Summary Report
Next
Consumption Production Report
Built with